# [VueJS Froala Design Blocks](https://www.froala.com/design-blocks) &nbsp; [![Tweet](https://img.shields.io/twitter/url/http/shields.io.svg?style=social)](https://twitter.com/intent/tweet?text=Get%20over%20170%20free%20design%20blocks%20based%20on%20Bootstrap%204&url=https://www.froala.com/design-blocks&via=froala&hashtags=bootstrap,design,templates,blocks,developers) &nbsp;[![Slack](https://froala-design-blocks-slack.herokuapp.com/badge.svg)](https://froala-design-blocks-slack.herokuapp.com/)

[![Price](https://img.shields.io/badge/price-FREE-0098f7.svg)](https://github.com/froala/design-blocks/blob/master/LICENSE)
[![npm](https://img.shields.io/npm/v/vue-froala-design-blocks.svg?colorB=brightgreen)](https://www.npmjs.com/package/vue-froala-design-blocks)
[![CDNJS](https://img.shields.io/cdnjs/v/froala-design-blocks.svg)](https://cdnjs.com/libraries/froala-design-blocks)
[![GitHub package version](https://img.shields.io/github/package-json/v/froala/vue-froala-design-blocks.svg)](https://github.com/froala/vue-froala-design-blocks)
[![License: FOWDL v1.0](https://img.shields.io/badge/license-FOWDL-blue.svg)](https://github.com/froala/vue-froala-design-blocks/blob/master/LICENSE)

Over 170 responsive design blocks ready to be used in your web or mobile apps. All blocks are based on the Bootstrap Library, and they are the building blocks for beautiful websites.

**Discuss it on [Product Hunt](https://www.producthunt.com/posts/froala-design-blocks-2) 🦄**

<p><a href="https://www.froala.com/design-blocks/webpage-builder">Design Blocks Builder »</a></p>
<p><a href="https://www.froala.com/wysiwyg-editor">WYSIWYG HTML Editor</a> · <a href="https://www.froala.com/pages">Pages</a> · <a href="https://www.froala.com/blog">Blog</a>

![Design Blocks](https://raw.githubusercontent.com/froala/design-blocks/master/design-blocks.jpg)

## Table of contents

- [Quick start](#quick-start)
- [Implementations](#implementations)
- [Browser support](#browser-support)
- [Community](#community)
- [Bugs and feature requests](#bugs-and-feature-requests)
- [Contributing guidelines](#contributing-guidelines)
- [Copyright and license](#copyright-and-license)

## Quick start

1. Install package.

```bash
git clone git@github.com:froala/vue-froala-design-blocks.git
cd vue-froala-design-blocks
npm install
npm run serve
```

2. Navigate to `http://localhost:8080/`. The app will automatically reload if you change any of the source files.



## Implementations

[<img src="https://github.com/froala/design-blocks/blob/dev/assets/logo-html.png?raw=true" height="60" />](https://github.com/froala/design-blocks)    [<img src="https://github.com/froala/angular-froala-design-blocks/blob/master/src/assets/logo-angluar.png?raw=true" height="60" />](https://github.com/froala/angular-froala-design-blocks)    [<img src="https://github.com/froala/react-froala-design-blocks/blob/master/public/logo-react.png?raw=true" height="60" />](https://github.com/froala/react-froala-design-blocks)        [<img src="https://github.com/froala/vue-froala-design-blocks/blob/master/src/assets/logo-vue.png?raw=true" height="60" />](https://github.com/froala/vue-froala-design-blocks)    [<img src="https://github.com/froala/design-blocks/blob/dev/assets/logo-psd.png?raw=true" height="60" />](https://github.com/froala/design-blocks/blob/dev/assets/psds/psd-pages.zip?raw=true)    [<img src="https://github.com/froala/design-blocks/blob/dev/assets/logo-sketch.png?raw=true" height="60" />](https://github.com/froala/design-blocks/blob/dev/assets/sketch/froala-design-blocks.sketch?raw=true)



## Bugs and feature requests

Have a bug or a feature request? Please first read the issue guidelines and search for existing and closed issues. If your problem or idea is not addressed yet, [please open a new issue](https://github.com/froala/vue-froala-design-blocks/issues/new).



## Community

Get updates on Froala Design Blocks' development and chat with the project maintainers and community members:

- Follow [@froala on Twitter](https://twitter.com/froala)
- Read and subscribe to [The Official Froala Blog](https://www.froala.com/blog)
- Check the [Official Website](https://www.froala.com/design-blocks)
- Join us [on Facebook](https://www.facebook.com/froala/)
- [Google+](https://plus.google.com/+Froala/)
- [Pinterest](https://pinterest.com/froala/)



## Contributing guidelines

All contributions are more than welcomed. Contributions may close an issue, fix a bug (reported or not reported), add new design blocks, improve the existing code, add new feature, and so on. In the interest of fostering an open and welcoming environment, we as contributors and maintainers pledge to making participation in our project and our community a harassment-free experience for everyone, regardless of age, body size, disability, ethnicity, gender identity and expression, level of experience, nationality, personal appearance, race, religion, or sexual identity and orientation. [Read the full Code of Conduct](https://github.com/froala/design-blocks/blob/dev/CODE_OF_CONDUCT.md).



#### Versioning

Through the development of new versions, we're going use the Semantic Versioning: https://docs.npmjs.com/getting-started/semantic-versioning. Example: 1.0.0.
- Major release: increment the first digit and reset middle and last digits to zero. Introduces major changes that might break backward compatibility. E.g. 2.0.0
- Minor release: increment the middle digit and reset last digit to zero. It would fix bugs and also add new features without breaking backward compatibility. E.g. 1.1.0
- Patch release: increment the third digit. It would fix bugs and keep backward compatibility. E.g. 1.0.1



## Copyright and license

Code and documentation copyright 2018 [Froala Labs](https://www.froala.com/). Code released under the [Froala Open Web Design License](https://github.com/froala/vue-froala-design-blocks/blob/master/LICENSE).
